Package org.pentaho.reporting.libraries.formula.typing

## Interface ArrayCallback

- All Known Implementing Classes:
    `StaticArrayCallback`

      public interface ArrayCallback

  Author:
    Cedric Pronzato

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumnCount()` |
    `LValue` | `getRaw​(int row, int column)` |
    `int` | `getRowCount()` |
    `Type` | `getType​(int row, int column)` |
    `java.lang.Object` | `getValue​(int row, int column)` |

- - ### Method Detail

    - #### getRaw

          LValue getRaw​(int row,
                        int column)
                 throws EvaluationException

      Throws:
        `EvaluationException`

    - #### getValue

          java.lang.Object getValue​(int row,
                                    int column)
                             throws EvaluationException

      Throws:
        `EvaluationException`

    - #### getType

          Type getType​(int row,
                       int column)
                throws EvaluationException

      Throws:
        `EvaluationException`

    - #### getColumnCount

          int getColumnCount()

    - #### getRowCount

          int getRowCount()